Subject: "KVM: PPC: booke: Improve timer register emulation" breaks Book3s HV

From: Paul Mackerras <[email-masked]>
Date: Tue, 6 Dec 2011 15:03:00 +1100

I'm not sure why yet, but commit 8a97c432 ("KVM: PPC: booke: Improve
timer register emulation") in Alex's kvm-ppc-next branch is breaking
Book3S HV KVM on POWER7.  Guest cpus fail to spin up, and even with
just one cpu, the guest stalls every so often.  If I stop the guest
and inspect the state with qemu, PC is at 0x900.  Reverting 8a97c432
makes it work properly again.

Paul.